xml地图|网站地图|网站标签 [设为首页] [加入收藏]

热门直播

当前位置:美高梅游戏网站 > 热门直播 > Debian-7.6下Eclipse-4.4崩溃问题解决

Debian-7.6下Eclipse-4.4崩溃问题解决

来源:http://www.gd-chuangmei.com 作者:美高梅游戏网站 时间:2019-09-02 23:08

Debian-7.6下Eclipse-4.4崩溃问题解决

今天把系统从Debian-7.1换成了7.6,于是麻烦也就随之而来~

Debian-7.6下eclipse-4.4 crash的原因是当前的glibc库的版本低于2.14,而很多软件都需要glibc >= 2.14才能运行。悲剧的是Debian的仓库里只有2.13版本的glibc,所以无法通过apt-get 升级。不过还有其它方法让eclipse运行:

  1. 在 eclipse.ini 中 -vmargs 之前添加参数

美高梅游戏网站,--launcher.GTK_version

  1. 美高梅游戏官网娱乐,将 SWT_GTK 环境变量设为0.

注意,如果你把eclipse添加进了 dash 快捷启动,那必须修改系统级别的环境变量才能生效,只改 ~/.bashrc 的话只有通过命令行才能正常启动 eclipse。推荐直接修改 /etc/profile,添加:

export SWT_GTK3=0

至此 eclipse 又可以愉快地运行了~大笑

参考资料:

本文永久更新链接地址:

今天把系统从Debian-7.1换成了7.6,于是麻烦也就随之而来~ Debian-7.6下eclipse-4.4 crash的原因是当前的glibc库的...

AndroidStudio1.4默认创建的工程中,
public class MainActivity extends AppCompatActivity改为public class MainActivity extends Activity 并将theme改为android:theme="@android:style/Theme.Holo" >即可解决崩溃问题!

本文由美高梅游戏网站发布于热门直播,转载请注明出处:Debian-7.6下Eclipse-4.4崩溃问题解决

关键词:

上一篇:GRUB与Linux系统修复(第二版)

下一篇:没有了